package com.ruoyi.system.service.impl.projectV2.common;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.projectV2.common.SendSms;
import com.ruoyi.system.mapper.projectV2.common.SendSmsMapper;
import com.ruoyi.system.service.projectV2.common.ISendSmsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 短信日志Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-02-24
 */
@Service
public class SendSmsServiceImpl implements ISendSmsService
{
    @Autowired
    private SendSmsMapper sendSmsMapper;

    /**
     * 查询短信日志
     * 
     * @param id 短信日志ID
     * @return 短信日志
     */
    @Override
    public SendSms selectSendSmsById(Long id)
    {
        return sendSmsMapper.selectSendSmsById(id);
    }

    /**
     * 查询短信日志列表
     * 
     * @param sendSms 短信日志
     * @return 短信日志
     */
    @Override
    public List<SendSms> selectSendSmsList(SendSms sendSms)
    {
        return sendSmsMapper.selectSendSmsList(sendSms);
    }

    /**
     * 新增短信日志
     * 
     * @param sendSms 短信日志
     * @return 结果
     */
    @Override
    public int insertSendSms(SendSms sendSms)
    {
        sendSms.setCreateTime(DateUtils.getNowDate());
        return sendSmsMapper.insertSendSms(sendSms);
    }

    /**
     * 修改短信日志
     * 
     * @param sendSms 短信日志
     * @return 结果
     */
    @Override
    public int updateSendSms(SendSms sendSms)
    {
        sendSms.setUpdateTime(DateUtils.getNowDate());
        return sendSmsMapper.updateSendSms(sendSms);
    }

    /**
     * 批量删除短信日志
     * 
     * @param ids 需要删除的短信日志ID
     * @return 结果
     */
    @Override
    public int deleteSendSmsByIds(Long[] ids)
    {
        return sendSmsMapper.deleteSendSmsByIds(ids);
    }

    /**
     * 删除短信日志信息
     * 
     * @param id 短信日志ID
     * @return 结果
     */
    @Override
    public int deleteSendSmsById(Long id)
    {
        return sendSmsMapper.deleteSendSmsById(id);
    }
}
